Bug 1122193 - [storage node] storage node cannot be started if hostname is changed
Summary: [storage node] storage node cannot be started if hostname is changed
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Storage Node
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: DR01
: JON 4.0.0
Assignee: Michael Burman
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 18:11 UTC by Armine Hovsepyan
Modified: 2019-08-05 14:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-05 14:59:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Armine Hovsepyan 2014-07-22 18:11:23 UTC
Description of problem:
[storage node] storage node cannot be started if hostname is changed

Version-Release number of selected component (if applicable):
JON 3.2 and higher

How reproducible:
always

Steps to Reproduce:
1. install and start jon with rhqctl install --start
2. go to /etc/sysconfig/network and change hostname 
3. restart envrionment
4. run rhqctl start


Actual results:
storage node cannot be started anymore
the followinf exception is thrown: Error: Exception thrown by the agent : java.net.MalformedURLException: Local host name unknown: java.net.UnknownHostException: uninventory1.bc.jonqe.lab.eng.bos.redhat.com: uninventory1.bc.jonqe.lab.eng.bos.redhat.com: Name or service not known


Expected results:
after updating storage related config properties, storage node can be re-started

Additional info:
changed all storage node related properties to use new hostname
updated rhq_storage_node table in relational rhq db (postgres for me) to use new hostname (as address of storage)

Comment 2 John Sanda 2014-08-29 12:38:58 UTC
Bumping the target release due to time constraints.

Comment 5 Filip Brychta 2019-08-05 14:59:29 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.